{% capture url %}{{ site.url }}{{ include.url }}{% endcapture %}

{% unless include.share.url == '%url' %}
  {% assign url = url | default: '' | cgi_escape %}
{% endunless %}
{% assign title = include.title | default: '' | cgi_escape %}
{% assign description = include.description | default: '' | cgi_escape %}

<a
  {% if include.share.url == '%url' %}
    download
  {% else %}
    target="_blank"
  {% endif %}
  rel="noopener nofollow"
  title="{{ include.share.title }}"
  class="d-flex flex-column align-items-center p-3"
  href="{{ include.share.url | replace: '%url', url | replace: '%title', title | replace: '%description', description }}">
  <i class="fa fa-fw fa-2x fa-{{ include.share.icon }}"></i>
  <span>{{ include.share.title }}</span>
</a>
